Skip to navigation

Update Customer

View as Markdown
Update an existing customer record.

Path parameters

idstringRequired

Response headers

AuthorizationstringOptional

Response

Success - Customer Updated (200 OK)

idstringOptional
customerCodestringOptional
namestringOptional
statusstringOptional
emailstringOptionalformat: "email"
phonestringOptional
faxstringOptional
websitestringOptionalformat: "uri"
primaryContactstringOptional
paymentTermsstringOptional
creditLimitintegerOptional
currencystringOptional
taxIdstringOptional
customerClassstringOptional
addresseslist of objectsOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional
updatedBystringOptionalformat: "email"

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error